<?php

namespace App\Http\Requests\DataEntry;

use Illuminate\Foundation\Http\FormRequest;

class StoreStatusRequest extends FormRequest
{
    public function authorize(): bool
    {
        return auth()->check();
    }

    public function rules(): array
    {
        return [
            'id' => ['required'],
            'date_reported' => ['required', 'date'],
            'reportedto' => ['required'],
            'notes' => ['nullable', 'string'],
        ];
    }
}
